function CMsgBox(){
    var _oMsgText;
    var _oButOk;
    var _oContainer;
    
    this._init = function(){
        _oContainer = new createjs.Container();
        _oContainer.alpha = 0;
        _oContainer.visible = false;
        s_oStage.addChild(_oContainer);
        
        var oBg = createBitmap(s_oSpriteLibrary.getSprite('msg_box'));
        _oContainer.addChild(oBg);
        
        _oMsgText = new createjs.Text(TEXT_SCORE,"64px "+FONT_GAME, "#FF6699");
        _oMsgText.x = CANVAS_WIDTH/2; 
        _oMsgText.y = 250;
        _oMsgText.lineHeight = 65;
        _oMsgText.textAlign = "center";
        _oMsgText.lineWidth = 400;
        _oContainer.addChild(_oMsgText);
        
        _oButOk = new CTextButton(CANVAS_WIDTH/2,500,s_oSpriteLibrary.getSprite('but_play'),TEXT_OK,FONT_GAME,"#fff",50,false);
        _oButOk.addEventListener(ON_MOUSE_UP, this._onOk, this);  
        
        _oContainer.addChild(_oButOk.getSprite());
    };
    
    this.show = function(szText){
        _oMsgText.text = szText;
        
        _oContainer.visible = true;
        createjs.Tween.get(_oContainer).to({alpha:1}, 400);
    };
    
    this.hide = function(){
        _oContainer.visible = false;
        _oContainer.alpha = 0;
    };
    
    this._onOk = function(){
        this.hide();
    };
    
    this._init();
}