function CCpuPanel(){
    var _oTitleText;
    var _oMsgText;
    var _oButYes;
    var _oButNo;
    var _oWrongAnswer;
    var _oContainer;
    
    this._init = function(){
        _oContainer = new createjs.Container();
        _oContainer.visible = false;
        _oContainer.alpha = 0;
        s_oStage.addChild(_oContainer);
        
        var oBg = createBitmap(s_oSpriteLibrary.getSprite('msg_box'));
        _oContainer.addChild(oBg);
        
        _oWrongAnswer = createBitmap(s_oSpriteLibrary.getSprite('wrong_answer'));
        _oWrongAnswer.x = 438;
        _oWrongAnswer.y = 410;
        _oWrongAnswer.alpha = 0;
        _oContainer.addChild(_oWrongAnswer);
        
        _oTitleText = new createjs.Text(TEXT_CPU_PANEL_TITLE,"60px "+FONT_GAME, "#FF6699");
        _oTitleText.textAlign = "center";
        _oTitleText.x = CANVAS_WIDTH/2;
        _oTitleText.y = 250;
        _oContainer.addChild(_oTitleText);
        
        _oMsgText = new createjs.Text("","50px "+FONT_GAME, "#fff");
        _oMsgText.textAlign = "center";
        _oMsgText.lineHeight = 65;
        _oMsgText.x = CANVAS_WIDTH/2;
        _oMsgText.y = 350;
        _oContainer.addChild(_oMsgText);
        
        _oButYes = new CGfxSpriteButton(CANVAS_WIDTH/2 + 210,CANVAS_HEIGHT/2 + 124,s_oSpriteLibrary.getSprite('but_ok'),false);
        _oButYes.addEventListener(ON_MOUSE_UP, this._onYesRelease, this);
        _oContainer.addChild(_oButYes.getSprite());
        
        _oButNo = new CGfxSpriteButton(CANVAS_WIDTH/2 + 130,CANVAS_HEIGHT/2 + 124,s_oSpriteLibrary.getSprite('but_no'),false);
        _oButNo.addEventListener(ON_MOUSE_UP, this._onNoRelease, this);
        _oContainer.addChild(_oButNo.getSprite());
    };
    
    this.show = function(szText){
        var iHalfStringLen = Math.floor(szText.length/2);
        
        var iNextChar = iHalfStringLen;
        if(szText.charAt(iNextChar) !== " "){
            var iNextChar = iHalfStringLen + 1;
            while(szText.charAt(iNextChar) !== " "){
                iNextChar++;
            }
        }
        
        szText = szText.substring(0, iNextChar) + "\n" + szText.substr(iNextChar);
        
        _oMsgText.text = szText;
        _oContainer.visible = true;

        createjs.Tween.get(_oContainer).to({alpha:1}, 400);  
    };
    
    this.hide = function(){
        _oContainer.visible = false;
        _oContainer.alpha = 0;
    };
    
    this.showWrongReply = function(){
        if(DISABLE_SOUND_MOBILE === false || s_bMobile === false){
            createjs.Sound.play("alert");
        }
        
        var oParent = this;
        createjs.Tween.get(_oWrongAnswer).to({alpha:1}, 200).call(function(){ setTimeout(function(){oParent.hideWrongReply();},1000 ) }); 
    };
    
    this.hideWrongReply = function(){
        createjs.Tween.get(_oWrongAnswer).to({alpha:0}, 200);
    };
    
    this._onYesRelease = function(){
        s_oGame.checkIfPlayerReplyIsCorrect(true);
    };
    
    this._onNoRelease = function(){
        s_oGame.checkIfPlayerReplyIsCorrect(false);
    };
    
    this._init();
}