function CEndPanel(oSpriteBg){
    var _iScore;
    var _oBg;
    var _oMsgText;
    var _oTitleText;
    var _oScoreText;
    var _oGroup;
    
    this._init = function(oSpriteBg){
        
        _oBg = createBitmap(oSpriteBg);
        _oBg.x = 0;
        _oBg.y = 0;

        _oTitleText = new createjs.Text("","60px "+FONT_GAME, "#ffffff");
        _oTitleText.x = CANVAS_WIDTH/2;
        _oTitleText.y = (CANVAS_HEIGHT/2)-132;
        _oTitleText.textAlign = "center";
        
        _oMsgText = new createjs.Text("","40px "+FONT_GAME, "#ffffff");
        _oMsgText.x = (CANVAS_WIDTH/2)-60;
        _oMsgText.y = (CANVAS_HEIGHT/2) + 30;
        _oMsgText.textAlign = "center";
        _oMsgText.lineHeight = 40;
        _oMsgText.lineWidth = 100;
        
        _oScoreText = new createjs.Text("","40px "+FONT_GAME, "#ffffff");
        _oScoreText.x = (CANVAS_WIDTH/2);
        _oScoreText.y = (CANVAS_HEIGHT/2) - 50;
        _oScoreText.textAlign = "center";
        
        _oGroup = new createjs.Container();
        _oGroup.alpha = 0;
        _oGroup.visible=false;
        
        _oGroup.addChild(_oBg,_oMsgText,_oTitleText,_oScoreText);

        s_oStage.addChild(_oGroup);
    };
    
    this.unload = function(){
        _oGroup.off("mousedown",this._onExit);
    };
    
    this._initListener = function(){
        _oGroup.on("mousedown",this._onExit);
        $(s_oMain).trigger("show_interlevel_ad");
    };
    
    this.show = function(szTitle,szMsg,iCharacter,iScore){
        _iScore = iScore;
        
        _oTitleText.text = szTitle; 
        _oMsgText.text = szMsg;
        _oScoreText.text = TEXT_FINAL_SCORE + " " + iScore;
        
        var oSprite = s_oSpriteLibrary.getSprite('character_'+iCharacter);
        var oCharacter = createBitmap(oSprite);
        oCharacter.x = (CANVAS_WIDTH/2) + 20;
        oCharacter.y = CANVAS_HEIGHT/2;
        _oGroup.addChild(oCharacter);
        
        _oGroup.visible = true;
        
        var oParent = this;
        createjs.Tween.get(_oGroup).to({alpha:1 }, 500).call(function() {oParent._initListener();});
        
        $(s_oMain).trigger("save_score",iScore);
    };
    
    this._onExit = function(){
        _oGroup.off("mousedown",this._onExit);
        s_oStage.removeChild(_oGroup);
        $(s_oMain).trigger("share_event",_iScore);
        
        s_oGame.onExit();
    };
    
    this._init(oSpriteBg);
    
    return this;
}