function CQuestionAnim(iX,iY,szText1,szText2){
    var _oLeftText;
    var _oCenterText;
    var _oRightText;
    var _oMaskContainer;
    var _oContainerText;
    var _oContainer;
    
    this._init = function(iX,iY,szText1,szText2){
        _oContainer = new createjs.Container();
        _oContainer.x = iX;
        _oContainer.y = iY;
        s_oStage.addChild(_oContainer);
        
        _oContainerText = new createjs.Container();
        _oContainer.addChild(_oContainerText);
        
        _oCenterText = new createjs.Text(szText1,"40px "+FONT_GAME, "#FFCC00");
        _oCenterText.textAlign = "center";
        _oCenterText.textBaseline = "middle";
        _oCenterText.lineHeight = 1;
        _oCenterText.maxWidth = 510;
        _oCenterText.y = 15;
        _oContainerText.addChild(_oCenterText);
        
        _oRightText = new createjs.Text(szText2,"40px "+FONT_GAME, "#FFCC00");
        _oRightText.textAlign = "center";
        _oRightText.x = 530;
        _oRightText.textBaseline = "middle";
        _oRightText.lineHeight = 1;
        _oRightText.maxWidth = 510;
        _oRightText.y = 15;
        _oContainerText.addChild(_oRightText);
        
        _oLeftText = new createjs.Text("","40px "+FONT_GAME, "#FFCC00");
        _oLeftText.textAlign = "center";
        _oLeftText.textBaseline = "middle";
        _oLeftText.lineHeight = 1;
        _oLeftText.x = -530;
        _oLeftText.maxWidth = 510;
        _oLeftText.y = 15;
        _oContainerText.addChild(_oLeftText);
        
        _oMaskContainer = new createjs.Shape();
        _oMaskContainer.graphics.beginFill("rgba(255,0,0,0.01)").drawRect(-267, -10, 528,50);
        _oContainer.addChild(_oMaskContainer);
        
        _oContainerText.mask = _oMaskContainer;
    };
    
    this.moveRight = function(szTextLeft,szTextCenter){
        if(createjs.Tween.hasActiveTweens(_oContainerText)){
            return;
        }
        _oLeftText.text = szTextLeft;
        _oCenterText.text = szTextCenter;
        
        createjs.Tween.get(_oContainerText).to({x:530}, 1000,createjs.Ease.quartOut).call(function(){_oCenterText.text = szTextLeft;_oContainerText.x = 0;});  
    };
    
    this.moveLeft = function(szTextCenter,szTextRight){
        if(createjs.Tween.hasActiveTweens(_oContainerText)){
            return;
        }
        
        _oCenterText.text = szTextCenter;
        _oRightText.text = szTextRight;
        
        createjs.Tween.get(_oContainerText).to({x:-530}, 1000,createjs.Ease.quartOut).call(function(){_oCenterText.text = szTextRight;_oContainerText.x = 0;});  
    };
    
    this.hideQuestion = function(){
        _oCenterText.text = "";
    };
    
    this.showQuestion = function(szText){
        _oCenterText.text = szText;
    };
    
    this._init(iX,iY,szText1,szText2);
}